Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-26120

Update npm package dependencies and reduce security vulnerabilities listed

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: Release 7.5.0
    • Component/s: CLI
    • Labels:
      None
    • Story Points:
      13
    • Sprint:
      2018 Sprint 12 SDK

      Description

      We have a number of security vulnerabilities now listed by default on npm installs (as of npm 6 this is built into the process). We should try to update all of our npm package dependencies as much as possible, as well as attempt to drive down the security vulnerabilities listed as low as possible (ideally none).

      This has knock-on effects on all of the npm packages we generate and dependencies upon in the SDK, so this will include fixes for things like node-appc, ioslib, windowslib, appc-aar-tools, etc.

        Attachments

          Activity

            People

            • Assignee:
              cwilliams Christopher Williams
              Reporter:
              cwilliams Christopher Williams
            • Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                  Git Source Code